# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class EquipeDossier(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'number': 'int',
        'code': 'int',
        'short_name': 'str',
        'short_name_ligue': 'str',
        'short_name_federation': 'str'
    }

    attribute_map = {
        'number': 'number',
        'code': 'code',
        'short_name': 'short_name',
        'short_name_ligue': 'short_name_ligue',
        'short_name_federation': 'short_name_federation'
    }

    def __init__(self, number=None, code=None, short_name=None, short_name_ligue=None, short_name_federation=None):  # noqa: E501
        """EquipeDossier - a model defined in Swagger"""  # noqa: E501
        self._number = None
        self._code = None
        self._short_name = None
        self._short_name_ligue = None
        self._short_name_federation = None
        self.discriminator = None
        if number is not None:
            self.number = number
        if code is not None:
            self.code = code
        if short_name is not None:
            self.short_name = short_name
        if short_name_ligue is not None:
            self.short_name_ligue = short_name_ligue
        if short_name_federation is not None:
            self.short_name_federation = short_name_federation

    @property
    def number(self):
        """Gets the number of this EquipeDossier.  # noqa: E501


        :return: The number of this EquipeDossier.  # noqa: E501
        :rtype: int
        """
        return self._number

    @number.setter
    def number(self, number):
        """Sets the number of this EquipeDossier.


        :param number: The number of this EquipeDossier.  # noqa: E501
        :type: int
        """

        self._number = number

    @property
    def code(self):
        """Gets the code of this EquipeDossier.  # noqa: E501


        :return: The code of this EquipeDossier.  # noqa: E501
        :rtype: int
        """
        return self._code

    @code.setter
    def code(self, code):
        """Sets the code of this EquipeDossier.


        :param code: The code of this EquipeDossier.  # noqa: E501
        :type: int
        """

        self._code = code

    @property
    def short_name(self):
        """Gets the short_name of this EquipeDossier.  # noqa: E501


        :return: The short_name of this EquipeDossier.  # noqa: E501
        :rtype: str
        """
        return self._short_name

    @short_name.setter
    def short_name(self, short_name):
        """Sets the short_name of this EquipeDossier.


        :param short_name: The short_name of this EquipeDossier.  # noqa: E501
        :type: str
        """

        self._short_name = short_name

    @property
    def short_name_ligue(self):
        """Gets the short_name_ligue of this EquipeDossier.  # noqa: E501


        :return: The short_name_ligue of this EquipeDossier.  # noqa: E501
        :rtype: str
        """
        return self._short_name_ligue

    @short_name_ligue.setter
    def short_name_ligue(self, short_name_ligue):
        """Sets the short_name_ligue of this EquipeDossier.


        :param short_name_ligue: The short_name_ligue of this EquipeDossier.  # noqa: E501
        :type: str
        """

        self._short_name_ligue = short_name_ligue

    @property
    def short_name_federation(self):
        """Gets the short_name_federation of this EquipeDossier.  # noqa: E501


        :return: The short_name_federation of this EquipeDossier.  # noqa: E501
        :rtype: str
        """
        return self._short_name_federation

    @short_name_federation.setter
    def short_name_federation(self, short_name_federation):
        """Sets the short_name_federation of this EquipeDossier.


        :param short_name_federation: The short_name_federation of this EquipeDossier.  # noqa: E501
        :type: str
        """

        self._short_name_federation = short_name_federation

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(EquipeDossier, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, EquipeDossier):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
